%% Mapper
% Use this code to map the positions of cells in individual images

clear all
Chan_to_view = 1; % Specify the same value as in the viewer.m file in this folder
filename = ['Merging_006.tif']; % Specify name of the imagefile you want to view


img = imread(filename,'Index',Chan_to_view);
img = medfilt2(img,[2,2]);

[~,matfile_name,~] = fileparts(filename);

load(matfile_name);

figure
subplot(1,2,1);imshow(img);axis square;title('Raw image')
subplot(1,2,2);imshow(img);hold on...
;plot(Cell_coordinates{Chan_to_view}(:,1)...
,Cell_coordinates{Chan_to_view}(:,2),'om','MarkerSize',4);
axis square;title('Cell locations')
